<?php namespace RVR\Controller;

use RVR\PersistentData\Model\Community;
use RVR\PersistentData\Model\User;
use RVR\Repository\CommunityMemberRepository;
use SokoWeb\Interfaces\Authentication\IAuthenticationRequired;
use SokoWeb\Interfaces\Response\IContent;
use SokoWeb\Response\HtmlContent;

class HomeController implements IAuthenticationRequired
{
    private CommunityMemberRepository $communityMemberRepository;

    public function __construct()
    {
        $this->communityMemberRepository = new CommunityMemberRepository();
    }

    public function isAuthenticationRequired(): bool
    {
        return true;
    }

    public function getHome(): IContent
    {
        /**
        * @var User $user
        */
        $user = \Container::$request->user();

        $ownCommunityMembers = $this->communityMemberRepository->getAllByUser($user, true, [Community::class]);
        $communities = [];
        foreach ($ownCommunityMembers as $ownCommunityMember) {
            $communities[] = $ownCommunityMember->getCommunity();
        }
        usort($communities, function($a, $b) {
            return strnatcmp($a->getName(), $b->getName());
        });

        return new HtmlContent('home', [
            'communities' => $communities,
            'upcomingEvents' => []
        ]);
    }
}
