@extends(templates/layout_normal)

@section(main)
    <h2>
        <?php if (isset($community)): ?>
            <a href="<?= Container::$routeCollection->getRoute('community')->generateLink(['communityId' => $community->getId()]) ?>"><?= $community->getName() ?></a> - Edit
        <?php else: ?>
            New community
        <?php endif; ?>
    </h2>
    <div class="box">
        <?php
        $formAction = isset($community) ?
            Container::$routeCollection->getRoute('community-edit-action')->generateLink(['communityId' => $community->getId()]) :
            Container::$routeCollection->getRoute('community-new-action')->generateLink();
        ?>
        <form id="communityForm" action="<?= $formAction ?>" method="post" data-redirect-on-success="true">
            <input type="text" class="text big fullWidth" name="name" placeholder="Name" value="<?= isset($community) ? $community->getName() : '' ?>" required>
            <?php if (!isset($community)): ?>
                <input type="text" class="text big fullWidth marginTop" name="main_currency_code" placeholder="Main currency" maxlength="3" required>
                <input type="number" class="text big fullWidth marginTop" name="main_currency_round_digits" placeholder="Main currency round digits" min="0" max="9" required>
            <?php endif; ?>
            <p id="communityFormError" class="formError justify marginTop"></p>
            <div class="right marginTop">
                <button type="submit" name="submit"><?= isset($community) ? 'Save' : 'Create' ?></button>
            </div>
        </form>
    </div>
@endsection
